/*
   Copyright (C) 1996, 1997  Ulric Eriksson <ulric@edu.stockholm.se>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the Licence, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
 */

#ifndef s_VsepP_h
#define s_VsepP_h

#include "Vsep.h"
/* include superclass private header file */
#include <X11/CoreP.h>

/* define unique representation types not found in <X11/StringDefs.h> */

#define XtRVsepResource "VsepResource"

typedef struct {
    int empty;
} VsepClassPart;

typedef struct s_VsepClassRec {
    CoreClassPart	core_class;
    VsepClassPart	vsep_class;
} VsepClassRec;

extern VsepClassRec vsepClassRec;

typedef struct {
    /* resources */
	Pixel highlight;
	Pixel shadow;
    /* private state */
	GC highlight_gc;
	GC shadow_gc;
} VsepPart;

typedef struct s_VsepRec {
    CorePart		core;
    VsepPart	vsep;
} VsepRec;

#endif /* s_VsepP_h */
